mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.NotSupportedException System.Runtime.InteropServices.ComVisible(true)

PlatformNotSupportedException uses the HRESULT COR_E_PLATFORMNOTSUPPORTED, which has the value 0x80131539.

The exception that is thrown when a feature does not run on a particular platform.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  When an instance of the class is created by a call to this constructor, the following properties are initialized to the specified values:

  Property

  Value

  null.

  The empty string.

  Initializes a new instance of the class with default properties.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  When an instance of the class is created by a call to this constructor, the following properties are initialized to the specified values:

  Property

  Value

  null.

  The error message string.

  Initializes a new instance of the class with a specified error message.

  The text message that explains the reason for the exception.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with serialized data.

  The that holds the serialized object data about the exception being thrown.
  The that contains contextual information about the source or destination.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  The inner exception reference.

  The error message string.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The error message that explains the reason for the exception.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.